# PetscLogInfo

Logs informative data, which is printed to standard output or a file when the option -log_info <file> is specified.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscLogInfo(void *vobj, const char message[], ...)

Collective over PetscObject argument

### Input Parameter

| vobj | - object most closely associated with the logging statement
| message | - logging message, using standard "printf" format

### Options Database Key

       -log_info : activates printing of PetscLogInfo() messages

### Fortran Note

This routine is not supported in Fortran.

### Example of Usage

        Mat A

        double alpha

        PetscLogInfo(A,"Matrix uses parameter alpha=%g\n",alpha);

### See Also

PetscLogInfoAllow()

Level:intermediate
Location:src/sys/src/plog/ploginfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/examples/tutorials/ex10.c.html